#
# spec file for package xclock
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xclock
Version:        1.0.7
Release:        7.3
Summary:        Analog / digital clock for X
License:	 X11
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xclock is the classic X Window System clock utility. It displays
the time in analog or digital form, continuously updated at a
frequency which may be specified by the user.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xclock
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/XClock
%{_datadir}/X11/app-defaults/XClock-color
%{_mandir}/man1/xclock.1%{?ext_man}

%changelog
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Thu Sep 12 2013 zaitor@opensuse.org
- Update to version 1.0.7:
  + Combine usage message strings & print them to stderr, not
    stdout.
  + Add noreturn attributes suggested by -Wmissing-noreturn.
  + Store sine & cosine tables as doubles instead of floats.
  + Don't rely on being able to set tab stops.
- Add pkgconfig(xproto) BuildRequires, new dependency.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.6:
  + Calculate text and window size from LC_CTYPE instead of LC_TIME
  + Build system fixes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xclock from xorg-x11. Initial version: 1.0.5.
